Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageFourierFilter Class Reference

`#include <vtkImageFourierFilter.h>`

Inheritance diagram for vtkImageFourierFilter:

[legend]
Collaboration diagram for vtkImageFourierFilter:

[legend]
List of all members.

## Detailed Description

Superclass that implements complex numbers.

Date:
  2002/01/22 15:32:35

Revision:
  1.32

vtkImageFourierFilter is a class of filters that use complex numbers this superclass is a container for methods that manipulate these structure including fast Fourier transforms. Complex numbers may become a class. This should really be a helper class.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (79%)
  - Martin, Ken (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageFourierFilter.cxx)`
  - .`h` (`/Imaging/vtkImageFourierFilter.h)`

Definition at line 104 of file vtkImageFourierFilter.h.

## Public Types
typedef vtkImageDecomposeFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | ExecuteFft (vtkImageComplex *in, vtkImageComplex *out, int N)
void | ExecuteRfft (vtkImageComplex *in, vtkImageComplex *out, int N)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageFourierFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageFourierFilter ()
| ~vtkImageFourierFilter ()
void | ExecuteFftStep2 (vtkImageComplex *p_in, vtkImageComplex *p_out, int N, int bsize, int fb)
void | ExecuteFftStepN (vtkImageComplex *p_in, vtkImageComplex *p_out, int N, int bsize, int n, int fb)
void | ExecuteFftForwardBackward (vtkImageComplex *in, vtkImageComplex *out, int N, int fb)

## Member Typedef Documentation

typedef vtkImageDecomposeFilter vtkImageFourierFilter::Superclass

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Reimplemented in vtkImageFFT, and vtkImageRFFT. Definition at line 107 of file vtkImageFourierFilter.h.

## Constructor & Destructor Documentation

vtkImageFourierFilter::vtkImageFourierFilter | ( |  | ) | `[inline, protected]`

| Definition at line 125 of file vtkImageFourierFilter.h.

vtkImageFourierFilter::~vtkImageFourierFilter | ( |  | ) | `[inline, protected]`

| Definition at line 126 of file vtkImageFourierFilter.h.

## Member Function Documentation

virtual const char* vtkImageFourierFilter::GetClassName | ( |  | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Reimplemented in vtkImageFFT, and vtkImageRFFT.

int vtkImageFourierFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Reimplemented in vtkImageFFT, and vtkImageRFFT.

virtual int vtkImageFourierFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Reimplemented in vtkImageFFT, and vtkImageRFFT.

vtkImageFourierFilter* vtkImageFourierFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Construct an instance of vtkImageDecomposeFilter filter with default dimensionality 3. Reimplemented from vtkImageDecomposeFilter. Reimplemented in vtkImageFFT, and vtkImageRFFT.

void vtkImageFourierFilter::ExecuteFft | ( | vtkImageComplex * | in,
|  | vtkImageComplex * | out,
|  | int | N
| ) |

| This function calculates the whole fft of an array. The contents of the input array are changed. (It is engineered for no decimation)

void vtkImageFourierFilter::ExecuteRfft | ( | vtkImageComplex * | in,
|  | vtkImageComplex * | out,
|  | int | N
| ) |

| This function calculates the whole fft of an array. The contents of the input array are changed. (It is engineered for no decimation)

void vtkImageFourierFilter::ExecuteFftStep2 | ( | vtkImageComplex * | p_in,
|  | vtkImageComplex * | p_out,
|  | int | N,
|  | int | bsize,
|  | int | fb
| ) | `[protected]`

void vtkImageFourierFilter::ExecuteFftStepN | ( | vtkImageComplex * | p_in,
|  | vtkImageComplex * | p_out,
|  | int | N,
|  | int | bsize,
|  | int | n,
|  | int | fb
| ) | `[protected]`

void vtkImageFourierFilter::ExecuteFftForwardBackward | ( | vtkImageComplex * | in,
|  | vtkImageComplex * | out,
|  | int | N,
|  | int | fb
| ) | `[protected]`

The documentation for this class was generated from the following file:

- Imaging/vtkImageFourierFilter.h